md=mesh(model,'../Exp/Square.exp',150000);
md=geography(md,'all','');
md=parameterize(md,'../Par/SquareShelfConstrained.par');
md=setelementstype(md,'macayeal','all');
md=SetParallel(md,3);
md.verbose=0;

md.petscoptions=addoptions(md.petscoptions,DiagnosticHorizAnalysisEnum,asmoptions);
md.petscoptions=addoptions(md.petscoptions,PrognosticAnalysisEnum,mumpsoptions);


md=solve(md,'analysis_type',Transient2DSolutionEnum);

%Fields and tolerances to track changes
field_names     ={'Vx1','Vy1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Vx2','Vy2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Vx3','Vy3','Vel3','Pressure3','Bed3','Surface3','Thickness3'};
field_tolerances={1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13};
field_values={...
	PatchToVec(md.results.Transient2DSolution(1).Vx),...
	PatchToVec(md.results.Transient2DSolution(1).Vy),...
	PatchToVec(md.results.Transient2DSolution(1).Vel),...
	PatchToVec(md.results.Transient2DSolution(1).Pressure),...
	PatchToVec(md.results.Transient2DSolution(1).Bed),...
	PatchToVec(md.results.Transient2DSolution(1).Surface),...
	PatchToVec(md.results.Transient2DSolution(1).Thickness),...
	PatchToVec(md.results.Transient2DSolution(2).Vx),...
	PatchToVec(md.results.Transient2DSolution(2).Vy),...
	PatchToVec(md.results.Transient2DSolution(2).Vel),...
	PatchToVec(md.results.Transient2DSolution(2).Pressure),...
	PatchToVec(md.results.Transient2DSolution(2).Bed),...
	PatchToVec(md.results.Transient2DSolution(2).Surface),...
	PatchToVec(md.results.Transient2DSolution(2).Thickness),...
	PatchToVec(md.results.Transient2DSolution(3).Vx),...
	PatchToVec(md.results.Transient2DSolution(3).Vy),...
	PatchToVec(md.results.Transient2DSolution(3).Vel),...
	PatchToVec(md.results.Transient2DSolution(3).Pressure),...
	PatchToVec(md.results.Transient2DSolution(3).Bed),...
	PatchToVec(md.results.Transient2DSolution(3).Surface),...
	PatchToVec(md.results.Transient2DSolution(3).Thickness),...
	};
